Subject: Re: [Mingw-users] Cygwin Full download in one big archive ?
From: "Max Bowsher" <[email-masked]>
To: "Igor Gnip" <[email-masked]>
Cc: <[email-masked]>
Date: Wed, 4 Dec 2002 17:30:42 -0000

Igor Gnip <[email-masked]> wrote... and I am replying cc:
<[email-masked]>

MB>> And, as a contributor to Cygwin setup, I'd appreciate it if you
MB>> would at least explain why you find it stupid.
>
> Well ...   there are places on our pitifull planet where 10 mb of
> download via dial-up internet costs more than 50 fried chickens :(((
> in other words,  much too expensive to run one single websetup.exe
> and wait for it to complete.

I know - at least in part. On Sunday, I leave university for the holiday, to
return to 24K dialup - Nooooooooooo! ;-/

> If websetup.exe supports resume, then at least one of the problems is
> eliminated.  -  I ofthen have to reconnect to the ISP.

IIRC, setup doesn't support resuming download of a package, but does
download each package seperately.
Obviously this could cause some grief when it comes to downloading packages
such as gcc (11MB)

> If websetup.exe supports download of multiple files at once, trough
> proxy then it would make it almost 3kb/second ...   on my very very
> BAD ISP ...

Proxy, yes. Multiple files at once, no.

> As you can see,  A simple download of one big file would be much
> cheaper, less painfull and definitely faster solution.

You think?
1) You are highly unlikely to want to download every Cygwin package.
2) What would you do to update one package in a hypothetical "one-big-file"
arrangement? Download everything again?

> At least -  please accept my apologies for the word "stupid" ...
>
> I guess the correct word would be "ineficient".

For some purposes, yes, I agree.

> I don't think it is stupid.  For people with good 56K  connections, a
> ISDN or ADSL,   it is a paradise to use web installers.  But for us
> dial-up users ...  well  guess we are not that important.

I have been a dialup user for most of my life - and will be again for the
next month-and-a-bit.

> and what if some files change during my download  (I need a few days
> to download it all)  ?   Will I need to start from the beginning ?

Files are named <package>-<version>-<release>.tar.bz2. Once a particular
file arrives on the mirrors, its contents should *never* change. (It will,
of course be deleted some time after it becomed out of date).

> How big is it exactly ?

That entirely depends on how much of it you want. The total set of all
current package versions and the corresponding source packages comes to a
modem busting 577MB.
The 'Base' category (the minimum officially sanctioned install) comes to
6MB, with no single package in that selection being more than 1.1M (cygwin
itself).
By trimming out packages whose presence in Base is questionable, I get this
down to 4.6MB. Still not that nice for a modem, though.

Max.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/